# org.apache.tomcat.util.threads

## Interfaces

- ResizableExecutor
- ThreadPoolExecutor.RejectedExecutionHandler

## Classes

- Constants
- LimitLatch
- TaskQueue
- TaskThread
- TaskThreadFactory
- ThreadPoolExecutor
- ThreadPoolExecutor.AbortPolicy
- ThreadPoolExecutor.CallerRunsPolicy
- ThreadPoolExecutor.DiscardOldestPolicy
- ThreadPoolExecutor.DiscardPolicy

## Exceptions

- StopPooledThreadException